%global qt5_version 5.15

Summary: Qt5 - Qt Application Manager
Name:    qt5-qtapplicationmanager
Version: 5.15.1
Release: 3%{?dist}

# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License: LGPLv2 with exceptions or GPLv3 with exceptions
Url:     http://www.qt.io
Source0: https://github.com/qt/qtapplicationmanager/archive/v5.15.1_QtAS/qtapplicationmanager-v5.15.1_QtAS.tar.gz

BuildRequires: qt5-qtbase-devel >= %{qt5_version}
BuildRequires: qt5-qtbase-private-devel >= %{qt5_version}
BuildRequires: qt5-qtbase-static >= %{qt5_version}
BuildRequires: qt5-qtdeclarative-devel >= %{qt5_version}
BuildRequires: qt5-qtwayland-devel >= %{qt5_version}
BuildRequires: wayland-devel
BuildRequires: libarchive-devel
BuildRequires: libyaml-devel

%description
Support for Automotive IVI Systems

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: qt5-qtbase-devel%{?_isa}
%description devel
%{summary}.

%package examples
Summary: Programming examples for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description examples
%{summary}.

%prep
%setup -q -n qtapplicationmanager-%{version}_QtAS

%build

mkdir %{_target_platform}
pushd %{_target_platform}
%{qmake_qt5} .. "CONFIG += git_build"

%make_build

%install
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

%ldconfig_scriptlets

%files
%license LICENSE.*
%{_qt5_qmldir}/QtApplicationManager
%{_qt5_bindir}/appman
%{_qt5_bindir}/appman-controller
%{_qt5_bindir}/appman-dumpqmltypes
%{_qt5_bindir}/appman-launcher-qml
%{_qt5_bindir}/appman-packager
%{_qt5_bindir}/appman-qmltestrunner
%{_qt5_bindir}/package-uploader

%files devel
%{_qt5_headerdir}/QtAppMan*
%{_qt5_libdir}/libQt5AppMan*.a
%{_qt5_libdir}/libQt5AppMan*.prl
%exclude %{_qt5_libdir}/libQt5AppMan*.la
%{_qt5_archdatadir}/mkspecs/features/*
%{_qt5_archdatadir}/mkspecs/modules/*
%{_qt5_libdir}/cmake/Qt5AppMan*

%files examples
%{_qt5_examplesdir}/applicationmanager

%changelog
* Fri Apr 30 2021 Alexander Larsson <alexl@redhat.com> - 5.15.1-3
- Update the url to avoid conflicts with the filename


* Thu Apr 29 2021 Alexander Larsson <alexl@redhat.com> - 5.15.1-2
- Add qtwayland dep

* Thu Apr 29 2021 Alexander Larsson <alexl@redhat.com> - 5.15.1-1
- Initial version
